BIT-redis-2022-35977

See a problem?
Import Source
https://github.com/bitnami/vulndb/tree/main/data/redis/BIT-redis-2022-35977.json
JSON Data
https://api.osv.dev/v1/vulns/BIT-redis-2022-35977
Aliases
Published
2024-03-06T11:05:24.585Z
Modified
2024-03-06T11:25:28.861Z
Summary
[none]
Details

Redis is an in-memory database that persists on disk. Authenticated users issuing specially crafted SETRANGE and SORT(_RO) commands can trigger an integer overflow, resulting with Redis attempting to allocate impossible amounts of memory and abort with an out-of-memory (OOM) panic. The problem is fixed in Redis versions 7.0.8, 6.2.9 and 6.0.17. Users are advised to upgrade. There are no known workarounds for this vulnerability.

References

Affected packages

Bitnami / redis

Package

Name
redis
Purl
pkg:bitnami/redis

Severity

  • 5.5 (Medium) CVSS_V3 - CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H CVSS Calculator

Affected ranges

Type
SEMVER
Events
Introduced
6.0.0
Fixed
6.0.17
Introduced
6.2.0
Fixed
6.2.9
Introduced
7.0.0
Fixed
7.0.8